Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
SQL Fehler bei Update von 1.2.13 auf 1.4
#1
Hallo,

ich habe ein Problem beim Update von 1.2.13 auf 1.4. Ich habe alle Dateien eingespielt wie in der Anleitung beschrieben. Dummer Weise ist mir meine config.php dabei verlustig gegangen Rolleyes Diese habe ich dann neu erstellt mit der im Support angegebenen Vorlage.

Jetzt bekomme ich folgende Fehlermeldung wenn ich die update.php aufrufe

Code:
Fatal error: [SQL] [1064] You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'NAMES 'utf8'' at line 1
SET NAMES 'utf8' in /kunden/107737_10551/webseiten/mybb/inc/db_mysql.php on line 544

Fatal error: [SQL] [1146] Table 'db107737.datacache' doesn't exist
SELECT title,cache FROM datacache in /kunden/107737_10551/webseiten/mybb/inc/db_mysql.php on line 544

Bin für jede Hilfe dankbar!
#2
Hallo und willkommen,

könnte an einer veralteten Version Deiner Datenbank liegen. Welche Version ist bei Dir installiert?
 
The User, Formerly Known As "En-Gedi"
 
#3
Vielen Dank, das scheint es gewesen zu sein!

Jetzt wird mir die Update Seite angezeigt, allerdings mit folgender Fehlermeldung:


Code:
You do not have permissions to run this process.

Die Datei config.php ist CHMOD 777, settings.php ist CHMOD 666.

Update: Habe es gerade versucht wie in diesem Beitrag beschrieben, leider ohne Erfolg. Wenn ich die lock Datei speichere und auf das root Verzeichnis zugreifen will kommt:

Code:
MyBB Internal Error

MyBB has experienced an internal error and cannot continue.

Error Type:
    MyBB Error (40)
Error Message:
    Your board has not yet been upgraded. Please do so before attempting to browse it.

Please contact the MyBB Group for support.

gebe ich /admin ein, bekomme ich einen 404 Fehler....
#4
Gib mal diese URL ein: pfad_zu_deinem_forum/install/upgrade.php
 
The User, Formerly Known As "En-Gedi"
 
#5
leider das selbe... habe auch schon die cookies gelöscht. wenn ich das tue, werde ich auf der upgrade.php dazu aufgefordert, meinem namen und das passwort einzugeben, bekomme anschließend aber wieder die obige fehlermedlung.
#6
Ist der Benutzer Admin? Sonst sollte die Meldung nicht kommen.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#7
ja, der user ist admin. ich habe in der config extra noch die id 2 hinzugefügt, weil er diese hat.

Code:
/* Super-Administratoren; mehere IDs durch Kommas trennen */
$config['super_admins'] = '1, 2';
#8
(06.08.2008, 12:56)alejnu schrieb: ja, der user ist admin. ich habe in der config extra noch die id 2 hinzugefügt, weil er diese hat.

Code:
/* Super-Administratoren; mehere IDs durch Kommas trennen */
$config['super_admins'] = '1, 2';
Das nutzt aber gar nichts, da diese Option gar nicht überprüft wird.
Notfall kannst du auch das aus der install/upgrade.php löschen:
PHP-Code:
    else if($mybb->usergroup['cancp'] != && $mybb->usergroup['cancp'] != 'yes')
    {
        
$output->print_error("You do not have permissions to run this process.");
    } 
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#9
das hat funktioniert, vielen dank Smile


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  SQL-Fehler nach Update 1.2 auf 1.4.6 BEASTIEPENDENT 4 1.338 26.06.2009, 23:20
Letzter Beitrag: BEASTIEPENDENT
  update auf 1.4.7 Fehler bei Anzeige fanclubremedy 15 1.808 19.06.2009, 17:35
Letzter Beitrag: krafdi
  SQL Fehler nach Update Musti50 8 1.772 14.09.2008, 12:49
Letzter Beitrag: Murphy